// The Power of the Party: Conflict Expansion and the Agenda Diversity of Interest Groups //
// Fagan, McGee, Thomas //

// Set working directory
cd "[SET WORKING DIRECTORY HERE]"

// Load data
clear
use FMT_data

// Tables in main body

// Table 1
gsort -shannonsh

list orgname shannonsh co_ideology totalpositions if shannonsh > 2.24, compress table

// Table 2
list orgname shannonsh co_ideology totalpositions if shannonsh < .882 & totalpositions > 20, compress table

// Table 3
sum shannonsh abs_co havepac haveie doa_staff_clean log_staff dc_location industry constit issue other totalpositions if totalpositions>20

// Table 4
regress shannonsh abs_co if totalpositions>20 // Model 1
regress shannonsh abs_co haveie havepac dc_location log_staff   if totalpositions>20 // Model 2
regress shannonsh abs_co haveie havepac dc_location log_staff  totalpositions if totalpositions>20 // Model 3
regress shannonsh abs_co haveie havepac dc_location log_staff constit industry issue other if totalpositions>20 // Model 4
regress shannonsh abs_co haveie havepac dc_location log_staff constit industry issue other totalpositions if totalpositions>20 // Model 5


twoway (scatter shannonsh co_i if totalpositions>20) (fpfit shannonsh co_i if totalpositions>20) // Actual paper uses a prettier version of this figure made in R

// Additional analysis - Total # of filled major topics for n>20

replace mt1 = 1 if mt1>1
replace mt2 = 1 if mt2>1
replace mt3 = 1 if mt3>1
replace mt4 = 1 if mt4>1
replace mt5 = 1 if mt5>1
replace mt6 = 1 if mt6>1
replace mt7 = 1 if mt7>1
replace mt8 = 1 if mt8>1
replace mt9 = 1 if mt9>1
replace mt10 = 1 if mt10>1
replace mt12 = 1 if mt12>1
replace mt13 = 1 if mt13>1
replace mt14 = 1 if mt14>1
replace mt15 = 1 if mt15>1
replace mt16 = 1 if mt16>1
replace mt17 = 1 if mt17>1
replace mt18 = 1 if mt18>1
replace mt19 = 1 if mt19>1
replace mt20 = 1 if mt20>1
replace mt21 = 1 if mt21>1
gen total_filled_mt = mt1 + mt2 + mt3 + mt4 + mt5 + mt6 + mt7 + mt8 + mt9 + mt10 + mt12 + mt13 + mt14 + mt15 + mt16 + mt17 + mt18 + mt19 + mt20 + mt21
				
				
poisson total_filled_mt abs_co if totalpositions>20 // Model 2
poisson total_filled_mt abs_co haveie havepac dc_location log_staff if totalpositions>20 // Model 2
poisson total_filled_mt abs_co haveie havepac dc_location log_staff  totalpositions if totalpositions>20 // Model 3
poisson total_filled_mt  abs_co haveie havepac dc_location log_staff constit industry issue other if totalpositions>20 // Model 4
poisson total_filled_mt  abs_co haveie havepac dc_location log_staff constit industry issue other totalpositions if totalpositions>20 // Model 5



// Switch to dataset with group types for Appendix Tables
clear all
use FMT_appendix_data

// Appendix Table 1

regress shannonsh abs_co if totalpositions>5
regress shannonsh abs_co if totalpositions>10
regress shannonsh abs_co if totalpositions>15
regress shannonsh abs_co if totalpositions>20
regress shannonsh abs_co if totalpositions>25
regress shannonsh abs_co if totalpositions>30
regress shannonsh abs_co if totalpositions>35
regress shannonsh abs_co if totalpositions>40
regress shannonsh abs_co if totalpositions>45
regress shannonsh abs_co if totalpositions>50


// Appendix Table 2	
														
gen positions_counter=.
recode positions_counter (.=0) if totalpositionsnum==.
recode positions_counter (.=1) if totalpositionsnum>=1 & totalpositionsnum<=20
recode positions_counter (.=2) if totalpositionsnum>20
tab positions_counter

bysort positions_counter: sum log_staff age dc_location haveie havepac constit industry issue other 

gen inModel=0 if positions_counter==1
recode inModel (.=1) if positions_counter==2

ttest log_staff, by(inModel) welch
ttest age, by(inModel) welch
ttest dc_location, by(inModel) welch
ttest haveie, by(inModel) welch
ttest havepac, by(inModel) welch
ttest constit, by(inModel) welch
ttest industry, by(inModel) welch
ttest issue, by(inModel) welch
ttest other, by(inModel) welch



// Additional analysis to test alternate diversity measure at lowest thresholds for inclusion

replace mt1 = 1 if mt1>1
replace mt2 = 1 if mt2>1
replace mt3 = 1 if mt3>1
replace mt4 = 1 if mt4>1
replace mt5 = 1 if mt5>1
replace mt6 = 1 if mt6>1
replace mt7 = 1 if mt7>1
replace mt8 = 1 if mt8>1
replace mt9 = 1 if mt9>1
replace mt10 = 1 if mt10>1
replace mt12 = 1 if mt12>1
replace mt13 = 1 if mt13>1
replace mt14 = 1 if mt14>1
replace mt15 = 1 if mt15>1
replace mt16 = 1 if mt16>1
replace mt17 = 1 if mt17>1
replace mt18 = 1 if mt18>1
replace mt19 = 1 if mt19>1
replace mt20 = 1 if mt20>1
replace mt21 = 1 if mt21>1
gen total_filled_mt = mt1 + mt2 + mt3 + mt4 + mt5 + mt6 + mt7 + mt8 + mt9 + mt10 + mt12 + mt13 + mt14 + mt15 + mt16 + mt17 + mt18 + mt19 + mt20 + mt21

drop if total_filled ==0	

// Appendix Table 3

nbreg total_filled abs_co if totalpositions > 20 & shannonsh!=. // Model 1
nbreg total_filled abs_co haveie havepac dc_location log_staff if totalpositions>20 & shannonsh!=. // Model 2
nbreg total_filled abs_co haveie havepac dc_location log_staff totalpositions if totalpositions>20 & shannonsh!=. // Model 3

nbreg total_filled abs_co haveie havepac dc_location log_staff constit industry issue other if totalpositions>20 // Model 4							
nbreg total_filled abs_co haveie havepac dc_location log_staff constit industry issue other totalpositions if totalpositions>20 // Model 5

// Additional Analysis for Reviewers									    
																																					
poisson total_filled_mt abs_co if totalpositions>=1
estimates store n1
poisson total_filled_mt abs_co if totalpositions>=2
estimates store n2
poisson total_filled_mt abs_co if totalpositions>=3
estimates store n3
poisson total_filled_mt abs_co if totalpositions>=4
estimates store n4
poisson total_filled_mt abs_co if totalpositions>=5
estimates store n5
poisson total_filled_mt abs_co if totalpositions>=6
estimates store n6
poisson total_filled_mt abs_co if totalpositions>=7
estimates store n7
poisson total_filled_mt abs_co if totalpositions>=8
estimates store n8
poisson total_filled_mt abs_co if totalpositions>=9
estimates store n9
poisson total_filled_mt abs_co if totalpositions>=10
estimates store n10
poisson total_filled_mt abs_co if totalpositions>=11
estimates store n11
poisson total_filled_mt abs_co if totalpositions>=12
estimates store n12
poisson total_filled_mt abs_co if totalpositions>=13
estimates store n13
poisson total_filled_mt abs_co if totalpositions>=14
estimates store n14
poisson total_filled_mt abs_co if totalpositions>=15
estimates store n15
poisson total_filled_mt abs_co if totalpositions>=16
estimates store n16
poisson total_filled_mt abs_co if totalpositions>=17
estimates store n17
poisson total_filled_mt abs_co if totalpositions>=18
estimates store n18
poisson total_filled_mt abs_co if totalpositions>=19
estimates store n19
poisson total_filled_mt abs_co if totalpositions>=20
estimates store n20
// note to produce the below coefplot, you must install the coefplot module in Stata:
// net describe coefplot, from(http://fmwww.bc.edu/RePEc/bocode/c)
coefplot n*, xline(0) drop(_cons) legend(rows(2) cols(2))


// Testing for interaction terms

regress shannonsh abs_co haveie havepac dc_location doa_staff_clean if totalpositions>20
regress shannonsh c.abs_co##c.doa_staff_clean haveie havepac dc_location if totalpositions>20
regress shannonsh c.abs_co##c.log_staff haveie havepac dc_location if totalpositions>20
